Gateway group
Unassign gateway group from customer
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `DELETE /api/customer/gatewayGroup/{gatewayGroupId}`.
Assign gateway group to customer
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `POST /api/customer/{customerId}/gatewayGroup/{gatewayGroupId}`.
Get customer gateway groups
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `GET /api/customer/{customerId}/gatewayGroups`.
Save gateway group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `POST /api/gatewayGroup`.
Get gateway group by id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `GET /api/gatewayGroup/{gatewayGroupId}`.
Delete gateway group
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `DELETE /api/gatewayGroup/{gatewayGroupId}`.
Save gateway group alarm rules
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `POST /api/gatewayGroup/{gatewayGroupId}/alarmRules`.
Get provider gateway groups
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `GET /api/provider/gatewayGroups`.
Get system gateway group by id
**Send this request:** open the Swagger UI of your region, [Europe (EU)](https://lorawan-ns-eu.tektelic.com/swagger-ui.html) or [North America (NA)](https://lorawan-ns-na.tektelic.com/swagger-ui.html), then **gateway-group-controller** > `GET /api/system/gatewayGroup/{gatewayGroupId}`.